package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Persona generated by hbm2java
 */
@Entity
@Table(name="persona"
    ,catalog="sistema_ventas"
)
public class Persona  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer id;
     private Municipios municipios;
     private Ocupacion ocupacion;
     private String nombre;
     private String apellido;
     private String dui;
     private String nit;
     private String direccion;
     private Integer telefono;
     private Set<Clientes> clienteses = new HashSet<Clientes>(0);
     private Set<Empleado> empleados = new HashSet<Empleado>(0);

    public Persona() {
    }

    public Persona(Municipios municipios, Ocupacion ocupacion, String nombre, String apellido, String dui, String nit, String direccion, Integer telefono, Set<Clientes> clienteses, Set<Empleado> empleados) {
       this.municipios = municipios;
       this.ocupacion = ocupacion;
       this.nombre = nombre;
       this.apellido = apellido;
       this.dui = dui;
       this.nit = nit;
       this.direccion = direccion;
       this.telefono = telefono;
       this.clienteses = clienteses;
       this.empleados = empleados;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="municipio")
    public Municipios getMunicipios() {
        return this.municipios;
    }
    
    public void setMunicipios(Municipios municipios) {
        this.municipios = municipios;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ocupacion")
    public Ocupacion getOcupacion() {
        return this.ocupacion;
    }
    
    public void setOcupacion(Ocupacion ocupacion) {
        this.ocupacion = ocupacion;
    }

    
    @Column(name="nombre", length=65535)
    public String getNombre() {
        return this.nombre;
    }
    
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    
    @Column(name="apellido", length=65535)
    public String getApellido() {
        return this.apellido;
    }
    
    public void setApellido(String apellido) {
        this.apellido = apellido;
    }

    
    @Column(name="dui", length=10)
    public String getDui() {
        return this.dui;
    }
    
    public void setDui(String dui) {
        this.dui = dui;
    }

    
    @Column(name="nit", length=17)
    public String getNit() {
        return this.nit;
    }
    
    public void setNit(String nit) {
        this.nit = nit;
    }

    
    @Column(name="direccion", length=65535)
    public String getDireccion() {
        return this.direccion;
    }
    
    public void setDireccion(String direccion) {
        this.direccion = direccion;
    }

    
    @Column(name="telefono")
    public Integer getTelefono() {
        return this.telefono;
    }
    
    public void setTelefono(Integer telefono) {
        this.telefono = telefono;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="persona")
    public Set<Clientes> getClienteses() {
        return this.clienteses;
    }
    
    public void setClienteses(Set<Clientes> clienteses) {
        this.clienteses = clienteses;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="persona")
    public Set<Empleado> getEmpleados() {
        return this.empleados;
    }
    
    public void setEmpleados(Set<Empleado> empleados) {
        this.empleados = empleados;
    }




}


